package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class NilaiNilaiVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectPasienDaftarFk")
	@NotNull(message="PasienDaftar Harus Diisi")
	@Caption(value="PasienDaftar")
	private AntrianPasienDiPeriksaVO pasienDaftar;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectMengatasiPenyakitFk")
	@NotNull(message="Object MengatasiPenyakit Harus Diisi")
	@Caption(value="Object MengatasiPenyakit")	
	private StatusMengatasiPenyakitVO mengatasiPenyakit;
	
	@ManyToOne
	@JoinColumn(name = "ObjectHarapanPasienFk")
	@NotNull(message="Object HarapanPasien Harus Diisi")
	@Caption(value="Object HarapanPasien")
	private StatusHarapanPasienVO harapanPasien;

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public StatusMengatasiPenyakitVO getMengatasiPenyakit() {
		return mengatasiPenyakit;
	}

	public void setMengatasiPenyakit(StatusMengatasiPenyakitVO mengatasiPenyakit) {
		this.mengatasiPenyakit = mengatasiPenyakit;
	}

	public StatusHarapanPasienVO getHarapanPasien() {
		return harapanPasien;
	}

	public void setHarapanPasien(StatusHarapanPasienVO harapanPasien) {
		this.harapanPasien = harapanPasien;
	}
	
}
